<script setup>
// imports
import { useBaseStore } from '@/core/stores/base';
import WarningIconVue from '@/assets/svg/WarningIcon.vue';
import ButtonComponent from '@/components/base/ButtonComponent.vue';
import router from '@/core/router';
import { useHead } from '@vueuse/head'

// data
const baseStore = useBaseStore()

// methods 
const goHomeHandler = () => {
    baseStore.error_code = null
    baseStore.error_message = null
    router.push('/')
}

//head
useHead({
  title: 'Dolphino challenge | Error',
  meta: [
    {
      name: `description`,
      content: 'This is an error page'
    },
    {
      name: 'keywords',
      content: 'shop,product,mobile,laptop,tablet'
    },
    {
      meta: 'og:title',
      content: 'Dolphino challenge | Error'
    },
    {
      meta: 'og:site_name',
      content: 'Dolphino challenge'
    },
    {
      meta: 'url',
      content: 'https://test.com'
    },
    {
      meta: 'og:description',
      content: 'This is an error page'
    },
    {
      meta: 'og:type',
      content: 'website'
    },
    {
      meta: 'og:image',
      contetn: 'https://address-of-site-logo.com'
    }
  ]
})
</script>
<template>
    <div class="flex items-center justify-center gap-4 flex-col">
        <WarningIconVue class="!text-secondary" />
        <div>{{ baseStore.error_message ? baseStore.error_message : '404 | Not found' }}</div>
        <ButtonComponent @onButtonClick="goHomeHandler" type="button" title="Go home">
            Go home
        </ButtonComponent>
    </div>
</template>